package com.zd.laboratory.domain.vo;

import com.zd.laboratory.domain.LabBlacklist;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 黑名单用户VO
 *
 * @Author: zhoupan
 * @Date: 2021/09/08/17:31
 * @Description:
 */
@ApiModel("黑名单表")
public class LabBlacklistVO extends LabBlacklist {

    /**
     * 用户姓名
     */
    @ApiModelProperty("用户姓名")
    private String userName;

    /**
     * 违规次数
     */
    @ApiModelProperty("违规次数")
    private Integer total;

    /**
     * 负面清单次数
     */
    @ApiModelProperty("负面清单次数")
    private Integer negativeNum;

    /**
     * 黑名单次数
     */
    @ApiModelProperty("黑名单次数")
    private Integer blackNum;

    /**
     * 扣除信用分
     */
    @ApiModelProperty("扣除信用分")
    private String creditScore;

    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String number;


    /**
     * 剩余信用分
     */
    @ApiModelProperty("剩余信用分")
    private String surplusCreditScore;


    private Boolean flagAction = false;

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getNegativeNum() {
        return negativeNum;
    }

    public void setNegativeNum(Integer negativeNum) {
        this.negativeNum = negativeNum;
    }

    public Integer getBlackNum() {
        return blackNum;
    }

    public void setBlackNum(Integer blackNum) {
        this.blackNum = blackNum;
    }

    public String getCreditScore() {
        return creditScore;
    }

    public void setCreditScore(String creditScore) {
        this.creditScore = creditScore;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getSurplusCreditScore() {
        return surplusCreditScore;
    }

    public void setSurplusCreditScore(String surplusCreditScore) {
        this.surplusCreditScore = surplusCreditScore;
    }

    public Boolean getFlagAction() {
        return flagAction;
    }

    public void setFlagAction(Boolean flagAction) {
        this.flagAction = flagAction;
    }
}
